package com.bwie.auth.feign;

import com.bwie.common.domain.User;
import com.bwie.common.result.Result;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;

@FeignClient(name = "bwie-user")
public interface LoginFeignController {
    /**
     * 根据用户名称查询用户信息
     * @param userName
     * @return
     */
    @GetMapping("/user/findName/{userName}")
    public Result<User> findName(@PathVariable String userName);
}
