package com.bwie.common.exception;

import com.bwie.common.result.Result;
import lombok.extern.log4j.Log4j2;
import org.springframework.web.bind.annotation.ExceptionHandler;
import org.springframework.web.bind.annotation.RestControllerAdvice;

@RestControllerAdvice
@Log4j2
public class AllExceptionHandler {
    @ExceptionHandler(Exception.class)
    public Result handLer(Throwable throwable){
        //获取最直接的异常信息
        StackTraceElement stackTraceElement = throwable.getStackTrace()[0];
        //类名
        String className = stackTraceElement.getClassName();
        //文件名
        String fileName = stackTraceElement.getFileName();
        //方法名
        String methodName = stackTraceElement.getMethodName();
        //报错行数
        int lineNumber = stackTraceElement.getLineNumber();
        //异常信息
        return Result.error("异常信息："+throwable.getMessage()+",报错类名："+className+",报错行数："+lineNumber+"，文件名："+fileName+"，方法名:"+methodName+"");
    }

}
