package com.bwie.user.controller;

import com.bwie.common.domain.User;
import com.bwie.common.result.Result;
import com.bwie.user.service.UserService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("/user")
public class UserController {
    @Autowired
    private UserService service;


    /**
     * 根据用户名称查询用户信息
     * @param userName
     * @return
     */
    @GetMapping("/findName/{userName}")
    public Result findName(@PathVariable String userName){
        User user = service.findName(userName);
        return Result.success(user);
    }
}
